Name: gtklp
Version: 0.9r
Release: alt1

Summary: GTK utilities for CUPS
Summary(ru_RU.UTF-8): GTK утилиты для системы печати CUPS
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.stud.uni-hannover.de/~sirtobi/gtklp
Source0: %name-%version.src.tar.gz
Source1: ru.po
Source2: gtklp-ru.1
Source3: gtklpq-ru.1
Source4: cupsprinter.png
Source5: cupssetup.png
Source6: gtklp-logo.png
Source7: gtklp.png
Source8: cupssetup.desktop
Source9: gtklp.desktop
Source10: gtklpq.desktop
Source11: gtklp.menu
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel hostinfo libatk-devel libcups-devel libgtk+2-devel libpango-devel libssl-devel libstdc++-devel pkgconfig

%description
GtkLP provides tools to make use and administration of
Common Unix Printing System (CUPS) easier.
 * GtkLP is a frontend to CUPS and a print dialog replacement.
 * GtkLPQ ia a printing queue management tool.

%description -l ru_RU.UTF-8
GtkLP облегчает использование и администрирование
Универсальной Системы Печати для UNIX (CUPS).
 * GtkLP - графический интерфейс для CUPS и новый диалог печати.
 * GtkLPQ - программа управления очередью печати.

%prep
%setup -q
# translation
%__cat %SOURCE1 > po/ru.po

%build
%configure --without-cups-config
%make_build

%install
%makeinstall
%find_lang %name
# manpages
install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_mandir/ru_RU.KOI8-R/man1/gtklp.1
install -p -m644 -D %SOURCE3 $RPM_BUILD_ROOT%_mandir/ru_RU.KOI8-R/man1/gtklpq.1
install -m755 -d $RPM_BUILD_ROOT%_mandir/ru_RU.CP1251/man1
iconv -f KOI8-R -t CP1251 %SOURCE2 > $RPM_BUILD_ROOT%_mandir/ru_RU.CP1251/man1/gtklp.1
iconv -f KOI8-R -t CP1251 %SOURCE3 > $RPM_BUILD_ROOT%_mandir/ru_RU.CP1251/man1/gtklpq.1
# menus
install -m755 -d $RPM_BUILD_ROOT%_datadir/pixmaps
install -p -m644 %SOURCE4 %SOURCE5 %SOURCE6 %SOURCE7 $RPM_BUILD_ROOT%_datadir/pixmaps
install -p -m644 -D %SOURCE8 $RPM_BUILD_ROOT%_datadir/gnome/apps/Settings/cupssetup.desktop
install -m755 -d $RPM_BUILD_ROOT%_datadir/gnome/apps/System
install -p -m644 %SOURCE9 %SOURCE10 $RPM_BUILD_ROOT%_datadir/gnome/apps/System
install -p -m644 -D %SOURCE11 $RPM_BUILD_ROOT%_menudir/gtklp



%post
%update_menus
# make CUPS settings compatible...
/usr/sbin/control cups public

%postun
%clean_menus

%files -f %name.lang
%_bindir/gtklp*
%_mandir/man1/gtklp*
%_mandir/ru_RU.KOI8-R/man1/gtklp*
%_mandir/ru_RU.CP1251/man1/gtklp*
%_datadir/pixmaps/*
%_datadir/gnome/apps/Settings/*
%_datadir/gnome/apps/System/*
%_menudir/gtklp
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO USAGE

%changelog
* Sat May 15 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.9r-alt1
- 0.9r, control in %post

* Fri Nov 01 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt3
- New build (using gcc 3.2), CUPS "Izvrat" mode fix

* Wed Jul 10 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt2
- Russian man pages added

* Tue Jul 09 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.9k-alt1
- ALTLinux build
- Translation update
